import { CommonModule } from '@angular/common';
import { FormBuilder } from '@angular/forms';
import { createComponentFactory, Spectator } from '@ngneat/spectator';
import { UiIconModule } from '@ui/icon';
import { EnvironmentChannelPipe } from '../pipes/environment-channel.pipe';
import { PipesModule } from '../pipes/pipes.module';
import { SharedGoodsInOutOrderEditComponent } from './goods-in-out-order-edit.component';

describe('OrderEditComponent', () => {
  let spectator: Spectator<SharedGoodsInOutOrderEditComponent>;

  const createComponent = createComponentFactory({
    component: SharedGoodsInOutOrderEditComponent,
    imports: [CommonModule, PipesModule, UiIconModule],
    providers: [FormBuilder, EnvironmentChannelPipe],
  });

  beforeEach(() => {
    spectator = createComponent();
  });

  it('should create', () => {
    expect(spectator.component).toBeTruthy();
  });

  describe('changeEstimatedDeliveryDate', () => {
    it('should call toISOString and set item.estimatedShippingDate to selected date', () => {});
  });
});
